# Introduction

The ITreeItemSelect interface is an interface which defines a method which gets raised whenever the user selects a tree item in Glue.

```
void ReactToItemSelect(TreeNode selectedTreeNode);
```

The selectedTreeNode's tag can be used to identify the type of tree node selected.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.flatredball.com/flatredball/api/glue-plugin-api/flatredball-glue/plugins/flatredball-glue-interfaces-itreeitemselect.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
